IPhysics: IPhysicsWorld Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# IPhysicsWorld Class Reference

`#include <IPhysicsWorld.h>`

Inherited by CPhysics.

List of all members.

## Public Member Functions

| IPhysicsWorld ()
| ~IPhysicsWorld ()
void | setSolverModel (ENUMERATED_SOLVER_MODEL solverModel)
void | setPlatformArchitecture (ENUMERATED_PLATFORM_ARCHITECTURE platformArchitecture)
void | setFrictionModel (ENUMERATED_FRICTION_MODEL frictionModel)
void | manualUpdate (f32 timeStep)
void | setMinimumFrameRate (f32 frameRate)
f32 | getTimeStep ()
void | setWorldSize (vector3df min, vector3df max)
void | setEntityLeaveWorldEvent (NewtonBodyLeaveWorld callback)
void | forEachBodyDo (NewtonBodyIterator callback)
void | forEachBodyInBoxDo (aabbox3d< f32 > box, NewtonBodyIterator callback)
f32 | getVersion ()
void | freezeEntity (IPhysicsBaseEntity *entity)
void | unfreezeEntity (IPhysicsBaseEntity *entity)
NewtonWorld * | getWorld ()
void | close ()

## Protected Attributes

NewtonWorld * | m_world

## Static Private Member Functions

static void *_cdecl | physicsAlloc (int size)
static void _cdecl | physicsFree (void *pointer, int size)

## Constructor & Destructor Documentation

IPhysicsWorld::IPhysicsWorld | ( |  | ) |

IPhysicsWorld::~IPhysicsWorld | ( |  | ) |

## Member Function Documentation

void IPhysicsWorld::setSolverModel | ( | ENUMERATED_SOLVER_MODEL | solverModel | ) |

void IPhysicsWorld::setPlatformArchitecture | ( | ENUMERATED_PLATFORM_ARCHITECTURE | platformArchitecture | ) |

void IPhysicsWorld::setFrictionModel | ( | ENUMERATED_FRICTION_MODEL | frictionModel | ) |

void IPhysicsWorld::manualUpdate | ( | f32 | timeStep | ) |

void IPhysicsWorld::setMinimumFrameRate | ( | f32 | frameRate | ) |

f32 IPhysicsWorld::getTimeStep | ( |  | ) |

void IPhysicsWorld::setWorldSize | ( | vector3df | minEdge,
|  | vector3df | maxEdge |
| ) |  |  |

Sets the Newton world size. IPhysics starts the Newton world at a default size of -1000 units to +1000 units in all directions. If you find that your physics entities freeze unexpectedly, or fall and fall and then freeze, it's quite likely that they have passed the edge of the Newton world boundary, in which case use this to enlarge it.

void IPhysicsWorld::setEntityLeaveWorldEvent | ( | NewtonBodyLeaveWorld | callback | ) |

void IPhysicsWorld::forEachBodyDo | ( | NewtonBodyIterator | callback | ) |

void IPhysicsWorld::forEachBodyInBoxDo | ( | aabbox3d< f32 > | box,
|  | NewtonBodyIterator | callback |
| ) |  |  |

f32 IPhysicsWorld::getVersion | ( |  | ) |

void IPhysicsWorld::freezeEntity | ( | IPhysicsBaseEntity * | entity | ) |

void IPhysicsWorld::unfreezeEntity | ( | IPhysicsBaseEntity * | entity | ) |

NewtonWorld * IPhysicsWorld::getWorld | ( |  | ) |

Get a pointer to the Newton world. This is provided in case you need to make some direct calls to Newton.

void IPhysicsWorld::close | ( |  | ) |

Reimplemented in CPhysics.

void * IPhysicsWorld::physicsAlloc | ( | int | size | ) | `[static, private]`

void IPhysicsWorld::physicsFree | ( | void * | pointer,
|  | int | size |
| ) |  |  | `[static, private]`

## Member Data Documentation

NewtonWorld* IPhysicsWorld::m_world`[protected]`

The documentation for this class was generated from the following files:

- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/IPhysicsWorld.h
- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/IPhysicsWorld.cpp